Subject: bug#78561: [PATCH] Add semantic linefeed support for paragraph filling

From: Stefan Monnier <[email-masked]>
Date: Mon, 16 Jun 2025 17:29:00 -0400

>   ;; Revert 'M-q' hijacked by org-mode:
>   (define-key org-mode-map (vector 'remap 'fill-paragraph) nil)

Maybe it deserves a bug report?  Looking at the code, I can't see a good
reason for this hijacking.  Maybe it's just a left over from old code.

>> `fill-region-as-paragraph-semlf' is analogous to
>> `fill-region-as-paragraph', so it removes any paragraph breaks in the
>> region and extra newlines at the end, and fills lines within the region.
>
> Then maybe we need another function `fill-region-semlf'.

I expect it would make more sense to introduce
a `fill-region-as-paragraph-function`, so `fill-region` will DTRT after
you set that var to `fill-region-as-paragraph-semlf`.  Instead of having
to reinvent/duplicate the code of `fill-region` in a new
`fill-region-semlf`.

        Stefan